'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var walletBook = require('@dynamic-labs/wallet-book');

const getMobileExperience = ({ mobileExperienceProp, walletBook: walletBook$1, walletKey, walletConnector, }) => {
    if (mobileExperienceProp) {
        // if the legacy prop is set, use that
        if (typeof mobileExperienceProp === 'string') {
            return mobileExperienceProp;
        }
        else if (mobileExperienceProp[walletKey]) {
            return mobileExperienceProp[walletKey];
        }
        else if (mobileExperienceProp.default) {
            return mobileExperienceProp.default;
        }
    }
    const walletBookRecord = walletBook.findWalletBookWallet(walletBook$1, walletKey);
    if (walletBookRecord === null || walletBookRecord === void 0 ? void 0 : walletBookRecord.mobileExperience) {
        return walletBookRecord.mobileExperience;
    }
    // a hack to only apply this experience on v4+ sdks, otherwise we would have it changed to redirect
    if (walletKey === 'metamask') {
        return 'redirect';
    }
    // default to redirect for WC wallets
    if (walletConnector.isWalletConnect) {
        return 'redirect';
    }
    return 'in-app-browser';
};

exports.getMobileExperience = getMobileExperience;
