'use client'
import { isMobile, PlatformService } from '@dynamic-labs/utils';
import { getDeepLink } from './walletConnectDeepLinks.js';

const performPlatformSpecificConnectionMethod = (uri, deepLinks, opts, preference) => {
    var _a, _b, _c;
    const deepLink = getDeepLink({
        deepLinks,
        mode: 'connection',
        preference,
        uri,
    });
    // Deeplink performed here
    if (isMobile()) {
        PlatformService.openURL(deepLink);
    }
    else {
        if ((_a = deepLinks === null || deepLinks === void 0 ? void 0 : deepLinks.desktop) === null || _a === void 0 ? void 0 : _a.native) {
            (_b = opts.onDesktopUri) === null || _b === void 0 ? void 0 : _b.call(opts, deepLink);
        }
        (_c = opts.onDisplayUri) === null || _c === void 0 ? void 0 : _c.call(opts, uri);
    }
};

export { performPlatformSpecificConnectionMethod };
